For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • GET(Legacy) Get Audit Logs for an Account
      • GETGet audit log entries for a specified User
      • GETGet audit log entries for an Account

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceAudit Logs

Get audit log entries for an Account

GET
https://api.frame.io/v2/accounts/:account_id/events
GET
/v2/accounts/:account_id/events
1import requests
2
3url = "https://api.frame.io/v2/accounts/account_id/events"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1[
2 {
3 "anonymous_user_id": null,
4 "client": null,
5 "event_type": "asset_created",
6 "event_details": {
7 "account_id": "6bdcb4d9-9a2e-4548-a765-ae6b27a6c024",
8 "ext": ".png",
9 "filesize": 170144,
10 "filetype": "image/png",
11 "index": -17,
12 "name": "Sample asset.png",
13 "parent_id": "ba6cd478-5ca3-4c1a-2186-82cdaecb3e6c",
14 "private": false,
15 "project_id": "e9794c94-16a4-4e33-b4e6-cdd9757d0e24",
16 "sm_refresh_at": "2024-06-28T21:42:54Z",
17 "uploaded_at": "2024-06-28T21:42:54.437202Z"
18 },
19 "id": 1944044771,
20 "inserted_at": "2024-06-28T21:42:54.516273Z",
21 "ip_address": "255.255.255.255",
22 "project_id": "j2794c94-16a4-4e33-b4e6-cdd9757d0e24",
23 "resource_id": "92je2963-24ae-4cd1-be13-19a93c92eb6e",
24 "resource_type": "asset",
25 "team_id": "5j4d6420-fa8d-4e85-af05-0f26785c54f5",
26 "source": "unknown",
27 "user_id": "b72b57e0-79f2-4bc7-9b70-99fbc175175c",
28 "updated_at": "2024-06-28T21:42:54.516273Z"
29 }
30]
Fetch audit logs with some filtering capabilities via query params
Was this page helpful?
Previous

Create a Comment

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Query parameters

filters[start_date]stringOptionalformat: "date"
Start ISO Date
filters[end_date]stringOptionalformat: "date"
End ISO Date
filters[resource_type]enumOptional
Filter by Resource Type
filters[event_type]enumOptional
Filter by Type of Activity
filters[team_id]stringOptionalformat: "uuid"
Filter by Team ID
filters[project_id]stringOptionalformat: "uuid"
Filter by Project ID
filters[resource_id]stringOptionalformat: "uuid"

Filter by resource ID (Asset ID, Project ID, User ID)

filters[user_id]stringOptionalformat: "uuid"
Filter by User ID
filters[ip_address]stringOptional

Filter by IP Address

This supports both IPv4 (1.1.1.1) and IPv6 (2001:db8:3333:4444:5555:6666:7777:8888)

pageintegerOptionalDefaults to 1
Page number
page_sizeintegerOptional<=200Defaults to 50
Records per page

Response headers

linkstring
Pagination links
page-numberinteger
Current page of results
per-pageinteger
Number of entries per page
totalinteger
Total entries across all pagess
total-pagesinteger
Number of pages

Response

Succesful Event logs response
account_idstring or nullformat: "uuid"
anonymous_user_idstring or nullformat: "uuid"
clientstring or null

The API client the audit event was triggered by. This will not always be populated.

When the API call that produced an event was made via an OAuth app it will look like: oauth_app/:uuid, and if it was made via a developer token it will look like: user_token/:uuid, with the UUID being the User ID the token belongs to

Here are some examples:

  • user_token/57823879-e541-49b0-b902-c43794c4400c
  • oauth_app/80ccf0bb-ae91-49c4-8aec-8f6238c14947
  • web/2024-06-10-18-15
  • pipeline-media-warden/cbd0061f6f190489e8af3137b8707b33f498f53f
  • null
event_typeenum
event_detailsobject
The details for the event. This varies quite a bit from one type of event to another but there are some examples in the example responses.
iddouble
Unique identifier
inserted_atstringformat: "date-time"
ip_addressstring or null
The IP address associated with this event
project_idstring or nullformat: "uuid"
The Project ID that this action occured in
resource_idstringformat: "uuid"
The ID of the referenced resource
resource_typeenum
The type of the referenced resource
team_idstring or nullformat: "uuid"
Team ID
sourceenum
The Source of the action that produced a given audit log entry
Allowed values:
user_idstring or nullformat: "uuid"
User ID
updated_atstringformat: "date-time"

Errors

401
Unauthorized Error
404
Not Found Error